datacache <- new.env(hash=TRUE, parent=emptyenv())

gngnf1musammentrezg <- function() showQCData("gngnf1musammentrezg", datacache)
gngnf1musammentrezg_dbconn <- function() dbconn(datacache)
gngnf1musammentrezg_dbfile <- function() dbfile(datacache)
gngnf1musammentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
gngnf1musammentrezg_dbInfo <- function() dbInfo(datacache)

gngnf1musammentrezgORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "gngnf1musammentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "gngnf1musammentrezg", "chip gngnf1musammentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("gngnf1musammentrezg.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(gngnf1musammentrezg_dbconn())
}

